Skip to main content
GET
/
api
/
accounts
/
{id}
/
orders
/
history
/
pending
Pending order history
curl --request GET \
  --url https://api.easierprop.com/api/accounts/{id}/orders/history/pending \
  --header 'X-API-Key: <api-key>'
{
  "ok": true,
  "data": [
    {
      "ticket": 12345678,
      "symbol": "EURUSD",
      "orderType": "Buy",
      "lots": 0.01,
      "openPrice": 1.08542,
      "stopLoss": 0,
      "takeProfit": 0,
      "profit": 3.2,
      "swap": 0,
      "commission": -0.07,
      "comment": "",
      "openTime": "2026-04-01T12:00:00",
      "closePrice": 0,
      "closeTime": "",
      "dealType": "Buy",
      "digits": 5,
      "contractSize": 100000,
      "volume": 0.01,
      "state": "Filled",
      "fillPolicy": "FillOrKill",
      "expirationType": "GTC",
      "expertId": 0,
      "dealInternalIn": 0,
      "dealInternalOut": 0,
      "orderInternal": 0,
      "partialCloseDeals": [
        {}
      ],
      "partialFillDeals": [
        {}
      ],
      "placedType": "ByClient",
      "profitRate": 1,
      "requestId": 0,
      "stopLimitPrice": 0,
      "fee": 0,
      "closeComment": "",
      "closeLots": 0,
      "closeVolume": 0,
      "openTimestampUTC": 1711972800,
      "closeTimestampUTC": 0,
      "expirationTime": ""
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Client API key (prefixed with sk_)

Path Parameters

id
string<uuid>
required

Account ID

Query Parameters

from
string
required

Start datetime (YYYY-MM-DDTHH:mm:ss)

to
string
required

End datetime (YYYY-MM-DDTHH:mm:ss)

Response

200 - application/json

Pending order history

ok
boolean
Example:

true

data
object[]